Skip to content

Observability

All operations require authentication.

3 operationsv1/dedicated/ceph
Agent setup

Get the cluster healthProduction

GET
/1.0/dedicated/ceph/{serviceName}/health

Returns whether the cluster is working normally and how full it is.

Path parameters

serviceName
required
string

Service name

Response

200responsesuccessful operation
availableBytes
read-only
integer

All available space in bytes

healthy
read-only
boolean

True or False

serviceName
read-only
string

ID of cluster

status
read-only
string

Status of ceph cluster

totalBytes
read-only
integer

Total cluster space in bytes

usedBytes
read-only
integer

Used cluster space in bytes

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/health \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availableBytes": 0, "healthy": true, "serviceName": "string", "status": "string", "totalBytes": 0, "usedBytes": 0}

Get subscriptionProduction

GET
/1.0/dedicated/ceph/{serviceName}/serviceInfos

Returns contacts, creation and expiration dates, and renewal settings.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update renewal settingsProduction

PUT
/1.0/dedicated/ceph/{serviceName}/serviceInfos

Changes how the service renews; renew is the only editable field.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"